/*
 * aTunes 2.1.0-SNAPSHOT
 * Copyright (C) 2006-2011 Alex Aranda, Sylvain Gaudard and contributors
 *
 * See http://www.atunes.org/wiki/index.php?title=Contributing for information about contributors
 *
 * http://www.atunes.org
 * http://sourceforge.net/projects/atunes
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package net.sourceforge.atunes.gui.lookandfeel.substance;

import java.awt.Component;
import java.awt.Paint;

interface ICustomSubstanceSkin {
	
	/**
	 * Defines custom colors for mutable icons
	 * @param component
	 * @param isSelected
	 * @return
	 */
	public Paint getPaintForColorMutableIcon(Component component, boolean isSelected);
	
	/**
	 * Returns paint to be used with certain controls (player controls)
	 * @return
	 */
	public Paint getPaintForSpecialControls();

	/**
	 * Returns paint to be used with certain controls (player controls) when disabled
	 * @return
	 */
	public Paint getPaintForDisabledSpecialControls();

}
